> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dyor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# getJettonMarketStatistics

> Percent changes of price, volume, traders, transactions by last hour, day, week and month



## OpenAPI

````yaml https://converter.swagger.io/api/convert?url=https://storage.dyor.io/docs/saas-api.swagger.json get /v1/jettons/{address}/markets/{poolAddress}/stats
openapi: 3.0.1
info:
  title: DYOR SaaS API
  version: '1.0'
servers:
  - url: https://api.dyor.io/
security: []
tags:
  - name: JettonsService
  - name: SystemService
paths:
  /v1/jettons/{address}/markets/{poolAddress}/stats:
    get:
      tags:
        - JettonsService
      summary: getJettonMarketStatistics
      description: >-
        Percent changes of price, volume, traders, transactions by last hour,
        day, week and month
      operationId: JettonsService_GetMarketStats
      parameters:
        - name: address
          in: path
          description: |-
            Jetton address

            Example: `EQCQZpelevHNsbw5IUtwSa4Cs8kqWww0KsYeDri9kwS18eCz`
          required: true
          schema:
            type: string
        - name: poolAddress
          in: path
          description: >-
            Pool address


            Example:
            `0:327054b432bd59b327674ba3a6b30a096420d2c4872200764554a3ab0e597714`
          required: true
          schema:
            type: string
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1JettonsGetMarketStatsResponse'
        '400':
          description: Returned when the request parameters have an invalid value
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 3
                message: invalid value
                details: []
        '404':
          description: Returned when the resource does not exist
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 5
                message: not found
                details: []
        '429':
          description: Returned when the limit of requests per second is exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
              example:
                code: 8
                message: too many requests
                details: []
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1JettonsGetMarketStatsResponse:
      type: object
      properties:
        priceChange:
          $ref: '#/components/schemas/JettonsGetMarketStatsResponsePriceChange'
        traders:
          $ref: '#/components/schemas/JettonsGetMarketStatsResponseTradersStat'
        transactions:
          $ref: '#/components/schemas/JettonsGetMarketStatsResponseTransactionsStat'
        volume:
          $ref: '#/components/schemas/v1JettonsGetMarketStatsResponseVolumeStat'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    JettonsGetMarketStatsResponsePriceChange:
      type: object
      properties:
        counterpart:
          $ref: '#/components/schemas/JettonsGetMarketStatsResponsePriceChangePeriods'
    JettonsGetMarketStatsResponseTradersStat:
      type: object
      properties:
        day:
          $ref: '#/components/schemas/v1IntegerValueChange'
        week:
          $ref: '#/components/schemas/v1IntegerValueChange'
        month:
          $ref: '#/components/schemas/v1IntegerValueChange'
    JettonsGetMarketStatsResponseTransactionsStat:
      type: object
      properties:
        day:
          $ref: '#/components/schemas/v1IntegerValueChange'
        week:
          $ref: '#/components/schemas/v1IntegerValueChange'
        month:
          $ref: '#/components/schemas/v1IntegerValueChange'
    v1JettonsGetMarketStatsResponseVolumeStat:
      type: object
      properties:
        usd:
          $ref: '#/components/schemas/JettonsGetMarketStatsResponseVolumeStatPeriods'
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object
    JettonsGetMarketStatsResponsePriceChangePeriods:
      type: object
      properties:
        min15:
          $ref: '#/components/schemas/v1DecimalValueChange'
        hour:
          $ref: '#/components/schemas/v1DecimalValueChange'
        hour6:
          $ref: '#/components/schemas/v1DecimalValueChange'
        hour12:
          $ref: '#/components/schemas/v1DecimalValueChange'
        day:
          $ref: '#/components/schemas/v1DecimalValueChange'
        week:
          $ref: '#/components/schemas/v1DecimalValueChange'
        month:
          $ref: '#/components/schemas/v1DecimalValueChange'
    v1IntegerValueChange:
      title: Value change by period
      type: object
      properties:
        changePercent:
          title: Percentage change from the previous period
          type: number
          format: float
          example: -35.9
        previous:
          title: Value of the previous period
          type: string
          format: int64
          example: '39'
        current:
          title: Value of the current period
          type: string
          format: int64
          example: '25'
        calculatedAt:
          title: Date and time of calculation
          type: string
          format: date-time
    JettonsGetMarketStatsResponseVolumeStatPeriods:
      type: object
      properties:
        day:
          $ref: '#/components/schemas/v1DecimalValueChange'
    v1DecimalValueChange:
      title: Value change by period
      type: object
      properties:
        changePercent:
          title: Percentage change from the previous period
          type: number
          format: float
          example: 146.1
        previous:
          $ref: '#/components/schemas/v1DecimalValue'
        current:
          $ref: '#/components/schemas/v1DecimalValue'
        calculatedAt:
          title: Date and time of calculation
          type: string
          format: date-time
    v1DecimalValue:
      title: Value in basic token units
      type: object
      properties:
        value:
          type: string
          example: '1000500000'
        decimals:
          type: integer
          format: int64
          example: 9
      description: 'To get the real value: `value * pow(10, -decimals)`'

````